---
layout: handbook-page-toc
title: Service Maturity Model
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Introduction

This page shows the output of our service maturity model for each
service in our [metrics catalog]. The [model itself] is part of the
metrics catalog, and uses information from the metrics catalog and the
[service catalog] to score each service.

To achieve a particular level in the maturity model, a service must meet
all the criteria for that level and all previous levels. Some criteria
do not apply to all services (for instance, services like PgBouncer do
not need development documentation).

[metrics catalog]: https://gitlab.com/gitlab-com/runbooks/-/blob/master/metrics-catalog/README.md
[model itself]: https://gitlab.com/gitlab-com/runbooks/-/blob/master/metrics-catalog/maturity.jsonnet
[service-catalog]: https://gitlab.com/gitlab-com/runbooks/-/blob/master/services/service-catalog.yml

## Maturity score by service

| Service | Level |
| --- | --- |
<% data.service_maturity.each do |service, maturity| %>
| [<%= service %>](#<%= service %>-detail) | <%= maturity_score(maturity) %> |
<% end %>

<% data.service_maturity.each do |service, maturity| %>
### <%= service %> detail

<table>
  <thead>
    <tr>
      <th>Level</th>
      <th>Criterion</th>
      <th>Passed</th>
    </tr>
  </thead>
  <tbody>
    <% maturity.flat_map(&:criteria).each.with_index do |row, i| %>
    <tr>
      <% maturity_headers(data.service_maturity, i).each do |header, rowspan| %>
      <% if header %><th scope="row" rowspan="<%= rowspan %>"><%= header %></th><% end %>
      <% end %>
      <td>
        <%= maturity_evidence(row) %>
      </td>
    </tr>
    <% end %>
  </tbody>
</table>

<% end %>
